package com.halo.halojuhesdk.core.common.utils;

import com.halo.halojuhesdk.core.base.utils.LogUtils;
import com.halo.halojuhesdk.core.request.HlStatisManager;

/**
 * @author Feng Zhanao
 * @date 2018/7/5
 * @description
 */
public class HttpUrlSettings {

    /**
     * 获取Host
     *
     * @return 根据不同环境返回不同Host
     */
    private static String getHost() {
        return "http://gadx-sdk.halomobi.com/";
    }

    /**
     * 请求广告地址
     */
    public static String getInitUrl() {
        return getHost() + "ssp/sdkAppConfig?";
//        return getHost() + "ssp/sdkAppDetail?";
    }
    /**
     * 请求广告地址
     */
    public static String getStatisUrl(String reqId) {
        return getHost() + "ssp/sdkReport" + "?adid=" + HlStatisManager.getInstance().getConfigReqId() + "&reqId=" + reqId;
    }
    /**
     * 请求广告地址
     */
    public static String getReportStartUrl(String reqId) {
        LogUtils.e("====getReportStartUrl====");
        return getHost() + "ssp/sdkReportStat" + "?adid=" + HlStatisManager.getInstance().getConfigReqId() + "&reqId=" + reqId;
    }

    /**
     * 请求广告地址(获取的广告类型里包含api的广告)
     * @return
     */
    public static String getReportApiStartUrl(String reqId) {
        String str = getHost() + "ssp/sdkReportStat?req=0&sdk=147" + "&adid=" + HlStatisManager.getInstance().getConfigReqId() + "&reqId=" + reqId;
//        LogUtils.e("====getReportApiStartUrl====" + str);
        return str;
    }

    /**
     * 请求广告地址
     */
    public static String getReportPackageUrl() {
        return getHost() + "ssp/sdkAppList";
    }
}
