package com.halo.halojuhesdk.core.channel;

import android.view.View;

import com.halo.halojuhesdk.core.request.SlotBean;


/**
 * @author Feng Zhanao
 * @date 2018/12/28
 * @description
 */
public interface INativeProxyListener {
    /**
     * 广告被展示（主线程回调）
     */
    void onADLoadView(View view, String adType, SlotBean slotBean, double ecpm, String adSubType,float ratio);

    /**
     * 广告被点击（主线程回调）
     */
    void onADClick(View view, SlotBean slotBean, String adSubType);

    /**
     * 广告被关闭（主线程回调）
     */
    void onADClose(View view);

    /**
     * 广告准备完毕（主线程回调）
     */
    void onADShow(View view, String adType, SlotBean bean, String adSubType);

    /**
     * 广告加载失败（主线程回调）
     *
     * @param msg  错误信息
     */
    void onADError(String msg, int code, String adType, SlotBean slotBean);
}
